// this script contains the code for the dummy targets

function got_scanned(); // function prototype

action dummy_enemy // attach this action to your helpless enemies
{
	my.polygon = on;
	my.enable_scan = on; // the enemy is sensitive to c_scan instructions
	my.event = got_scanned; // run this event function when it is scanned
}

function got_scanned()
{
	if (you.skill99 != 1234) {return;} // don't die if you weren't scanned by a grenade
	var anim_percentage = 0;
	my.event = null; // the enemy is dead, so it should stop reacting to other bullets from now on
	while (anim_percentage < 100) // this loop will run until the "death" animation percentage reaches 100%
	{
		ent_animate(my, "death", anim_percentage, null); // play the "death" animation only once
		anim_percentage += 3 * time; // "3" controls the animation speed
		wait (1);
	}
	my.passable = on; // allow the player to pass through the corpse now
}

